apiVersion: kustomize.config.k8s.io/v1beta1
kind: Kustomization
resources:
  - ../../../base
namespace: kpmg

patches:
  - patch: |-
      - op: add
        path: "/spec/template/spec/containers/0/env/-"
        value:
          name: DID_WEB_ISSUER
          value: "did:web:kpmg.auditor.demo23.gxfs.fr"
      - op: add
        path: "/spec/template/spec/containers/0/env/-"
        value:
          name: REVOCATION_URL
          value: "https://revocation-registry.aster-x.demo23.gxfs.fr"
      - op: add
        path: "/spec/template/spec/containers/0/env/-"
        value:
          name: ISSUER_NAME
          value: "kpmg"
      - op: add
        path: "/spec/template/spec/containers/0/env/-"
        value:
          name: BISTRING_REVOCATION_URL
          value: "https://revocation-registry-bitstring.aster-x.demo23.gxfs.fr"
    target:
      kind: Deployment
      name: vc-issuer
  - patch: |-
      # This patch removes the Ingress with the given name
      $patch: delete
      apiVersion: networking.k8s.io/v1
      kind: Ingress
      metadata:
        name: vc-issuer